Subject: Re: DOS-EOL bug in "fgets"
From: Earnie Boyd <[email-masked]>
To: [email-masked]
Cc: cygwin users <[email-masked]>
Date: Wed, 24 May 2000 09:09:30 -0700 (PDT)

--- "Sergey R. Grigoriev" <[email-masked]> wrote:
> 
> 
> Hello Earnie
> 
> I've reinstalled all-CYGWIN from NET yesterday.
> 
> probably I don't understand EOL and gets() problem correct...
> but I see, that gets() returns "\r\n" as EOL for DOS-Files and
> '\n' for UNIX-Files. But make (see function readline() in read.c from
> make-distribution) can check only '\n' - and parcer will see this
> '\r' later...
> I thank, that CYGWIN-gets() converts 2-byte DOS-EOL into '\n'-Unix EOL
> like it does it in MINGW.
> 
> 

Ok, get the latest dll snapshot from
http://sourceware.cygnus.com/cygwin/snapshots/ and see if that helps.  Yes,
there were patches to fgets to help deal with \r\n and something broke, a fix
was supposedly put into place yesterday.

=====
---
   Earnie Boyd: <mailto:[email-masked]>
            __Cygwin: POSIX on Windows__
Cygwin Newbies: <http://www.freeyellow.com/members5/gw32/index.html>
           __Minimalist GNU for Windows__
  Mingw32 List: <http://www.egroups.com/group/mingw32/>
    Mingw Home: <http://www.mingw.org/>

__________________________________________________
Do You Yahoo!?
Send instant messages & get email alerts with Yahoo! Messenger.
http://im.yahoo.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]